# 2022-2023 - David TOCAVEN
# Les tuples
# Correction de l'exercice 3 

# Source de l'exercice : https://www.numerique-sciences-informatiques.fr/puplets.php

"""
Exercice 3 : 
Les commandes sum(tuple),len,min,max donnent respectivement la somme, le nombre d'éléments, le min et le max d'un tuple. Ecrire une fonction qui renvoie le tuple composé du min, max, moyenne. 
"""

def min_max_moy_tuple(a):
	"""
	Calcul du minimum, maximum et de la moyenne d'un tuple d'entrée.
	
	@param a (tuple) : Un tuple d'entrée contenant les données (int/float)
	
	@ return (minimum, maximum, moyenne) : un tuple contenant le minimum de a, le maximum de a et la moyenne de a.
	
	"""
	
	return min(a), max(a), sum(a)/len(a) 
	
# main 

a = tuple(range(12)) # tuple de valeurs entières

# Calcul du min, du max et de la moyenne de a
min_a, max_a, moy_a = min_max_moy_tuple(a)

# Affichage
print(a, ": min=",min_a, ", max=", max_a, ", moyenne=", moy_a)
